Bug 62864 - directories are named incorrectly
directories are named incorrectly
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: sgml-common (Show other bugs)
1.0
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-06 12:40 EST by sds
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-08 10:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sds 2002-04-06 12:40:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
the package uses directories

/usr/share/sgml/docbook/sgml-dtd-3.0-1.0-8
/usr/share/sgml/docbook/sgml-dtd-4.0-1.0-8
/usr/share/sgml/docbook/sgml-dtd-4.1-1.0-8
/usr/share/sgml/docbook/xml-dtd-4.1.2-1.0-8

the correct names are

/usr/share/sgml/docbook/sgml-dtd-3.0
/usr/share/sgml/docbook/sgml-dtd-4.0
/usr/share/sgml/docbook/sgml-dtd-4.1
/usr/share/sgml/docbook/xml-dtd-4.1.2

rpm -q docbook-dtds
docbook-dtds-1.0-8

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
ls /usr/share/sgml/docbook/

Additional info:

the users refer to these directories, so naming them differently in different
releases places undue burden on the users (we have to change our files after
each upgrade!)
Comment 1 Tim Waugh 2002-04-08 06:59:10 EDT
Why does anyone need a system path for them, when they all have public IDs that
don't change?
Comment 2 sds 2002-04-08 10:05:21 EDT
good point - I just realized that jade actually can get the DTD from the net,
yes, you are right, I don't really need what I asked for (xerxes and xalan that
I used before did require local DTDs)
Still, I think the current naming is bad.

another thing, xml.soc has to be passed tp nsgmls and it is located in the
verion-dependent directory /usr/share/doc/openjade-1.3.1/pubtext/xml.soc 
which also requires me to change the Makefile with each openjade upgrade.

thanks.
Comment 3 Tim Waugh 2002-05-02 09:53:27 EDT
xml.soc is now supplied by sgml-common (0.6.3-10).

Note You need to log in before you can comment on or make changes to this bug.